@scalar/api-reference 1.1.2 → 1.1.3
This diff represents the content of publicly available package versions that have been released to one of the supported registries. The information contained in this diff is provided for informational purposes only and reflects changes between package versions as they appear in their respective public registries.
- package/CHANGELOG.md +13 -0
- package/README.md +1 -0
- package/dist/browser/standalone.js +93 -66
- package/dist/components/ApiReference.vue.d.ts +2 -2
- package/dist/components/Content/Authentication/Authentication.vue.d.ts.map +1 -1
- package/dist/components/Content/Authentication/SecurityScheme.vue.d.ts.map +1 -1
- package/dist/components/Content/Content.vue.d.ts.map +1 -1
- package/dist/helpers/getExampleFromSchema.d.ts.map +1 -1
- package/dist/helpers/hasModels.d.ts +1 -1
- package/dist/helpers/hasModels.d.ts.map +1 -1
- package/dist/helpers/hasSecuritySchemes.d.ts +1 -1
- package/dist/helpers/hasSecuritySchemes.d.ts.map +1 -1
- package/dist/hooks/useParser.d.ts +2 -0
- package/dist/hooks/useParser.d.ts.map +1 -1
- package/dist/index.js +398 -376
- package/dist/types.d.ts +2 -0
- package/dist/types.d.ts.map +1 -1
- package/package.json +20 -20
package/CHANGELOG.md
CHANGED
|
@@ -1,5 +1,18 @@
|
|
|
1
1
|
# @scalar/api-reference
|
|
2
2
|
|
|
3
|
+
## 1.1.3
|
|
4
|
+
|
|
5
|
+
### Patch Changes
|
|
6
|
+
|
|
7
|
+
- 75df2d2: feat: use bearer auth as the fallback for http auth
|
|
8
|
+
- c97e8e6: chore: add form tag to auth credentials
|
|
9
|
+
- 52c20e5: style: no text transform for model names
|
|
10
|
+
- b1fe23c: feat: add support for oneOf in response schemas
|
|
11
|
+
feat: add support for allOf in response schemas
|
|
12
|
+
- 1208a7f: feat: add support for Swagger 2.0 host and schemes configuration
|
|
13
|
+
- Updated dependencies [3d6027c]
|
|
14
|
+
- @scalar/swagger-parser@0.5.8
|
|
15
|
+
|
|
3
16
|
## 1.1.2
|
|
4
17
|
|
|
5
18
|
### Patch Changes
|
package/README.md
CHANGED
|
@@ -2,6 +2,7 @@
|
|
|
2
2
|
|
|
3
3
|
[](https://www.npmjs.com/package/@scalar/api-reference)
|
|
4
4
|
[](https://www.npmjs.com/package/@scalar/api-reference)
|
|
5
|
+
[](https://www.jsdelivr.com/package/npm/@scalar/api-reference)
|
|
5
6
|
[](https://www.npmjs.com/package/@scalar/api-reference)
|
|
6
7
|
[](https://discord.gg/8HeZcRGPFS)
|
|
7
8
|
|